#include "cmsis_os2.h"                          // CMSIS RTOS header file
#include "rl_net.h"                     // Keil.MDK-Plus::Network:CORE
#include "rl_fs.h"                      // Keil.MDK-Plus::File System:CORE


 
/*----------------------------------------------------------------------------
 *      Thread 1 'Thread_Name': Sample thread
 *---------------------------------------------------------------------------*/
 
static osThreadId_t tid_Thread;                        // thread id
 
 
static void Thread (void *argument) {
	
	if (finit("") == fsOK) {
    fmount("");
  }
	
	/* net initialize */
	netInitialize();
 
  while (1) 
	{
    
    osDelay(1000);
  }
}

int Init_net_Thread (void) {
 
  tid_Thread = osThreadNew(Thread, NULL, NULL);
  if (tid_Thread == NULL) {
    return(-1);
  }
 
  return(0);
}
